### asciinema web app config file

## Settings below that are un-commented are required, the rest is optional.
## Values after "=" sign are taken as-is, so don't use double quotes for strings.

## Base URL of your asciinema web app instance
URL_SCHEME=http
URL_HOST=localhost
URL_PORT=3000

## Base secret key for signing cookies etc.
## Run `docker-compose run --rm web bundle exec rake secret`
## and copy generated secret here.
SECRET_KEY_BASE=

## PostgreSQL connection URL.
## Default: postgresql://postgres@postgres/postgres
# DATABASE_URL=

## Redis connection URL.
## Default: redis://redis:6379
# REDIS_URL=

## ID of the "demo" asciicast displayed on the homepage.
## Default: first public asciicast
# HOME_ASCIICAST_ID=1

### E-mail delivery

## Outgoing mail hostname, used by namshi/smtp container.
MAILNAME=localhost

## "From" field for all emails sent by this instance.
## Default: asciinema <hello@hostname-from-base-url>
# SMTP_FROM_ADDRESS=admin@example.com

### File store

## By default we use local filesystem dir ("uploads" in app root dir).
## If you want to store uploaded recordings in S3 bucket instead,
## uncomment and set the following variables:
# AWS_ACCESS_KEY_ID=
# AWS_SECRET_ACCESS_KEY=
# S3_BUCKET=my-asciinema-bucket
# S3_REGION=us-east-1